Cyberduck Mountain Duck CLI

#1751 closed defect (fixed)

Transfer incomplete warning if file size changes while downloading

Reported by: me@… Owned by: dkocher
Priority: normal Milestone: 3.0
Component: core Version: 2.8.4
Severity: minor Keywords: Transfer download incomplete
Cc: Architecture:
Platform:

Description

I've discovered that if you download a file from an ftp server while that file is being regularly updated by another program, then Cyberduck loses track of the file size at the time of copy. By the time the download finishes, and the connection is disconnected the transfer window reports something like:

Transfer incomplete 25.7 KB of 22.8 KB

And the status light remains red.

[ FYI: I am using cyberduck to monitor the progress of a routine on the host computer that writes to a text file. ]

Attachments (1)

Cyberduck_screenshot.png (70.9 KB) - added by me@… on Feb 6, 2008 at 11:09:33 PM.
Sceenshot of transfer warning error

Download all attachments as: .zip

Change History (4)

Changed on Feb 6, 2008 at 11:09:33 PM by me@…

Sceenshot of transfer warning error

comment:1 Changed on Feb 7, 2008 at 8:48:24 AM by dkocher

  • Milestone set to 2.9
  • Status changed from new to assigned

comment:2 Changed on Mar 17, 2008 at 9:26:44 PM by dkocher

  • Summary changed from Transfer incomplete warning to Transfer incomplete warning if file size changes while downloading

comment:3 Changed on Mar 26, 2008 at 11:37:10 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r3620.

Note: See TracTickets for help on using tickets.
swiss made software